Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.idpdisco
Class LocalizedURIImpl

    java.lang.Object
      org.opensaml.xml.AbstractXMLObject
          org.opensaml.xml.validation.AbstractValidatingXMLObject
              org.opensaml.common.impl.AbstractSAMLObject
                  edu.internet2.middleware.shibboleth.wayf.idpdisco.LocalizedURIImpl

All Implemented Interfaces:
  LocalizedURI, org.opensaml.common.SAMLObject, org.opensaml.xml.LangBearing, org.opensaml.xml.validation.ValidatingXMLObject, org.opensaml.xml.XMLObject

Direct Known Subclasses:
  InformationURLImpl, PrivacyStatementURLImpl

    public class LocalizedURIImpl

extends org.opensaml.common.impl.AbstractSAMLObject
implements LocalizedURI

Concrete implementation of `LocalizedURI`.

Field Summary

Fields inherited from interface edu.internet2.middleware.shibboleth.wayf.idpdisco.LocalizedURI
`TYPE_LOCAL_NAME`

Fields inherited from interface org.opensaml.xml.LangBearing
`XML_LANG_ATTR_LOCAL_NAME, XML_LANG_ATTR_NAME`

Constructor Summary
`protected` | `LocalizedURIImpl(String namespaceURI, String elementLocalName, String namespacePrefix)` Constructor.

Method Summary
`List<org.opensaml.xml.XMLObject>` | `getOrderedChildren()`
`org.opensaml.saml2.metadata.LocalizedString` | `getURI()` Gets the URI.
`String` | `getXMLLang()`
`void` | `setURI(org.opensaml.saml2.metadata.LocalizedString newURI)` Sets the URI.
`void` | `setXMLLang(String newLang)`

Methods inherited from class org.opensaml.common.impl.AbstractSAMLObject
`equals, prepareForAssignment`

Methods inherited from class org.opensaml.xml.validation.AbstractValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate, validateChildren`

Methods inherited from class org.opensaml.xml.AbstractXMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.opensaml.xml.validation.ValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate`

Methods inherited from interface org.opensaml.xml.XMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

Constructor Detail

### LocalizedURIImpl

    protected LocalizedURIImpl(String namespaceURI,
                               String elementLocalName,
                               String namespacePrefix)

  Constructor.

  Parameters:
    `namespaceURI` - the namespaceURI
    `elementLocalName` - the elementLocalName
    `namespacePrefix` - the namespacePrefix

Method Detail

### getURI

    public org.opensaml.saml2.metadata.LocalizedString getURI()

  Gets the URI.

  Specified by:
    `getURI` in interface `LocalizedURI`
  Returns:
    the URI

### setURI

    public void setURI(org.opensaml.saml2.metadata.LocalizedString newURI)

  Sets the URI.

  Specified by:
    `setURI` in interface `LocalizedURI`
  Parameters:
    `newURI` - the new value

### getXMLLang

    public String getXMLLang()

  Specified by:
    `getXMLLang` in interface `org.opensaml.xml.LangBearing`

### setXMLLang

    public void setXMLLang(String newLang)

  Specified by:
    `setXMLLang` in interface `org.opensaml.xml.LangBearing`

### getOrderedChildren

    public List<org.opensaml.xml.XMLObject> getOrderedChildren()

  Specified by:
    `getOrderedChildren` in interface `org.opensaml.xml.XMLObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.